@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-family: "Rubik", sans-serif;
}

body {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  min-height: 100vh;
  background-color: rgba(0, 0, 31, 0.95);
}

.dynamic-pointer-glowing__list {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  position: relative;
}

.dynamic-pointer-glowing__item {
  list-style: none;
}

.dynamic-pointer-glowing__link {
  display: inline-block;
  color: #fff;
  font-family: "Rubik", sans-serif;
  font-size: 1em;
  text-decoration: none;
  padding: 10px 20px;
  font-weight: 400;
  background-color: rgba(255, 255, 255, 0.075);
  -webkit-box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
          box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  border-top: 1px solid rgba(255, 255, 255, 0.4);
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  -webkit-backdrop-filter: blur(15px);
          backdrop-filter: blur(15px);
  overflow: hidden;
  position: relative;
  z-index: 999;
}

.dynamic-pointer-glowing__link::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 50%;
  background-color: rgba(255, 255, 255, 0.1);
}

.dynamic-pointer-glowing__item.--first .dynamic-pointer-glowing__link {
  -webkit-border-top-left-radius: 30px;
          border-top-left-radius: 30px;
  -webkit-border-bottom-left-radius: 30px;
          border-bottom-left-radius: 30px;
}

.dynamic-pointer-glowing__item.--last .dynamic-pointer-glowing__link {
  -webkit-border-top-right-radius: 30px;
          border-top-right-radius: 30px;
  -webkit-border-bottom-right-radius: 30px;
          border-bottom-right-radius: 30px;
}

.dynamic-pointer-glowing #dynamicPointerGlowing {
  width: 41px;
  height: 41px;
  -webkit-transition: 500ms;
  -o-transition: 500ms;
  transition: 500ms;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 9;
}

.dynamic-pointer-glowing #dynamicPointerGlowing::before {
  content: "";
  width: 43px;
  height: 43px;
  -webkit-border-radius: 50%;
          border-radius: 50%;
  -webkit-transition: 500ms;
  -o-transition: 500ms;
  transition: 500ms;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  position: absolute;
  left: 50%;
  top: 50%;
}

.dynamic-pointer-glowing__item:nth-child(1):hover ~ #dynamicPointerGlowing::before {
  background-color: #E40035;
  -webkit-box-shadow: 0 0 15px #E40035, 0 0 30px #E40035, 0 0 45px #E40035, 0 0 60px #E40035;
          box-shadow: 0 0 15px #E40035, 0 0 30px #E40035, 0 0 45px #E40035, 0 0 60px #E40035;
}

.dynamic-pointer-glowing__item:nth-child(2):hover ~ #dynamicPointerGlowing::before {
  background-color: #FFA500;
  -webkit-box-shadow: 0 0 15px #FFA500, 0 0 30px #FFA500, 0 0 45px #FFA500, 0 0 60px #FFA500;
          box-shadow: 0 0 15px #FFA500, 0 0 30px #FFA500, 0 0 45px #FFA500, 0 0 60px #FFA500;
}

.dynamic-pointer-glowing__item:nth-child(3):hover ~ #dynamicPointerGlowing::before {
  background-color: #0f0;
  -webkit-box-shadow: 0 0 15px #0f0, 0 0 30px #0f0, 0 0 45px #0f0, 0 0 60px #0f0;
          box-shadow: 0 0 15px #0f0, 0 0 30px #0f0, 0 0 45px #0f0, 0 0 60px #0f0;
}

.dynamic-pointer-glowing__item:nth-child(4):hover ~ #dynamicPointerGlowing::before {
  background-color: #00C1FF;
  -webkit-box-shadow: 0 0 15px #00C1FF, 0 0 30px #00C1FF, 0 0 45px #00C1FF, 0 0 60px #00C1FF;
          box-shadow: 0 0 15px #00C1FF, 0 0 30px #00C1FF, 0 0 45px #00C1FF, 0 0 60px #00C1FF;
}

.dynamic-pointer-glowing__item:nth-child(5):hover ~ #dynamicPointerGlowing::before {
  background-color: #FF00FF;
  -webkit-box-shadow: 0 0 15px #FF00FF, 0 0 30px #FF00FF, 0 0 45px #FF00FF, 0 0 60px #FF00FF;
          box-shadow: 0 0 15px #FF00FF, 0 0 30px #FF00FF, 0 0 45px #FF00FF, 0 0 60px #FF00FF;
}
